ArrayIterator::getFlags
ArrayIterator::ksort
ArrayIterator
PHP Manual

# ArrayIterator::key

Return current array key

### Description

public mixed ArrayIterator::key ( void )

This function returns the current array key

### Parameters

This function has no parameters.

### Return Values

The current array key.

### Examples

Example #1 ArrayIterator::key example

`<?php
$array = array('key' => 'value');
$arrayobject = new ArrayObject($array);
$iterator = $arrayobject->getIterator();
echo $iterator->key(); //key
?>`